> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopscale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Loop info

> Returns Loop vault info keyed by Loop vault identifier. You can filter by explicit vault identifiers and/or by tags.



## OpenAPI

````yaml post /markets/loop/info
openapi: 3.1.0
info:
  title: Loopscale API
  version: 0.1.0
servers:
  - url: https://tars.loopscale.com/v1
    description: Loopscale Production Server
security: []
paths:
  /markets/loop/info:
    post:
      tags:
        - loops_data
      summary: Get Loop info
      description: >-
        Returns Loop vault info keyed by Loop vault identifier. You can filter
        by explicit vault identifiers and/or by tags.
      operationId: query_get_loop_vaults_info
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LoopVaultsInfoQuery'
        required: true
      responses:
        '200':
          description: Loop vaults info
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  $ref: '#/components/schemas/LoopVaultInfo'
                propertyNames:
                  type: string
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    LoopVaultsInfoQuery:
      type: object
      properties:
        loopVaults:
          type: array
          items:
            type: string
        tags:
          type: array
          items:
            type: string
    LoopVaultInfo:
      type: object
      required:
        - collateralMint
        - principalMint
        - collateralDeposited
        - collateralApyPct
        - maxLeverage
        - name
        - maxLeveragedApyPct
        - principalAmountAvailable
        - routeType
        - quoteFetchParams
        - collateralDepositedUsd
        - feVisible
      properties:
        aumLimit:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
        collateralApyPct:
          type: number
          format: double
        collateralDeposited:
          type: integer
          format: int64
          minimum: 0
        collateralDepositedUsd:
          type: number
          format: double
        collateralMint:
          type: string
        creationTime:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
        feVisible:
          type: boolean
        featured:
          type:
            - boolean
            - 'null'
        maxCollateralAmount:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
        maxLeverage:
          type: number
          format: double
        maxLeveragedApyPct:
          type: number
          format: double
        metadata:
          type:
            - object
            - 'null'
          additionalProperties: {}
          propertyNames:
            type: string
        name:
          type: string
        oneWeekCollateralDepositsUsd:
          type:
            - number
            - 'null'
          format: double
        principalAmountAvailable:
          type: integer
          format: int64
          minimum: 0
        principalMint:
          type: string
        quoteFetchParams:
          type: object
          additionalProperties: {}
          propertyNames:
            type: string
        rolloverId:
          type:
            - string
            - 'null'
        routeType:
          type: integer
          format: int32
          minimum: 0
        statsLastUpdated:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
        tags:
          type:
            - string
            - 'null'
        totalCollateralAmount:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
        totalPrincipalDeployed:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
        totalPrincipalDeployedUsd:
          type:
            - number
            - 'null'
          format: double
        wAvgApy:
          type:
            - number
            - 'null'
          format: double
        wAvgLeverage:
          type:
            - number
            - 'null'
          format: double
    ErrorResponse:
      type: object
      description: |-
        Canonical error envelope for every endpoint. The `x-request-id` response
        header carries the correlation id for the failing request.
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetails'
          description: error detail
    ErrorDetails:
      type: object
      description: Inner detail of the [`ErrorResponse`] envelope.
      required:
        - code
        - message
      properties:
        code:
          type: integer
          format: int32
          description: HTTP status code, mirrored in the response status line
          example: 400
          minimum: 0
        message:
          type: string
          description: human-readable, client-safe message (sensitive data redacted)
          example: Request could not be processed.

````